dbXML API

## org.dbxml.core.corba
Class CollectionManagerServant

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.dbxml.core.corba.db.CollectionManagerPOA
                  |
                  +--org.dbxml.core.corba.CollectionManagerServant

All Implemented Interfaces:
  CollectionManagerOperations, org.omg.CORBA.portable.InvokeHandler, ServantManagementOperations

public class CollectionManagerServant
extends CollectionManagerPOA

CollectionManagerServant CORBA wrapper for org.dbxml.core.Collection Provides administrative access to Collection For detailed documentation

See Also:
  `Collection`

Constructor Summary
`CollectionManagerServant(Collection collection)`

Method Summary
`Collection` `createCollection(java.lang.String path, EncodedBuffer config)`
`void` `createIndexer(EncodedBuffer config)`
`void` `createXMLObject(EncodedBuffer config)`
`void` `dropCollection(java.lang.String nam)`
`void` `dropIndexer(java.lang.String nam)`
`void` `dropXMLObject(java.lang.String nam)`
`java.lang.String` `getCanonicalName()`
`java.lang.String` `getName()`
`java.lang.String[]` `listIndexers()`
`java.lang.String[]` `listXMLObjects()`
`void` `remove()`

Methods inherited from class org.dbxml.core.corba.db.CollectionManagerPOA
`_all_interfaces, _invoke, _this, _this`

Methods inherited from class org.omg.PortableServer.Servant
`_default_POA, _get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionManagerServant

    public CollectionManagerServant(Collection collection)

Method Detail

### getName

    public java.lang.String getName()
                             throws APIException

### getCanonicalName

    public java.lang.String getCanonicalName()
                                      throws APIException

### createCollection

    public Collection createCollection(java.lang.String path,
                                       EncodedBuffer config)
                                throws APIException

### dropCollection

    public void dropCollection(java.lang.String nam)
                        throws APIException

### listIndexers

    public java.lang.String[] listIndexers()
                                    throws APIException

### createIndexer

    public void createIndexer(EncodedBuffer config)
                       throws APIException

### dropIndexer

    public void dropIndexer(java.lang.String nam)
                     throws APIException

### listXMLObjects

    public java.lang.String[] listXMLObjects()
                                      throws APIException

### createXMLObject

    public void createXMLObject(EncodedBuffer config)
                         throws APIException

### dropXMLObject

    public void dropXMLObject(java.lang.String nam)
                       throws APIException

### remove

    public void remove()

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved